diff -Nur developers-reference-3.3.7/common.ent developers-reference-3.3.7_258437-fixed/common.ent
--- developers-reference-3.3.7/common.ent	2005-12-26 11:13:32.000000000 +0000
+++ developers-reference-3.3.7_258437-fixed/common.ent	2006-06-17 16:24:57.000000000 +0000
@@ -67,6 +67,7 @@
 <!ENTITY url-cvsweb "http://cvs.debian.org/">
 <!ENTITY url-devel-machines "http://db.debian.org/machines.cgi">
 <!ENTITY url-buildd "http://buildd.debian.org/">
+<!ENTITY url-buildd-doc "http://www.debian.org/devel/buildd/">
 <!ENTITY url-lintian "http://lintian.debian.org/">
 <!ENTITY url-debian-qa "http://qa.debian.org/">
 <!ENTITY url-debian-qa-orphaned "http://qa.debian.org/orphaned.html">
diff -Nur developers-reference-3.3.7/developers-reference.sgml developers-reference-3.3.7_258437-fixed/developers-reference.sgml
--- developers-reference-3.3.7/developers-reference.sgml	2006-04-04 21:41:26.000000000 +0000
+++ developers-reference-3.3.7_258437-fixed/developers-reference.sgml	2006-06-17 16:27:16.000000000 +0000
@@ -1550,7 +1550,14 @@
 you don't forget any open bug, and so that you don't forget which
 packages are under your responsibility.
 
-    <sect id="alioth">Debian *Forge: Alioth
+    <sect id="build-info">Information about the buildd network
+	<p>
+A package is usually uploaded as a binary package built for one architecture. 
+Once it's moved into the archive it gets build for those architectures which 
+are defined in <tt>debian/control</tt>. More details about what happens then
+can be found in <ref id="buildd">.
+  
+     <sect id="alioth">Debian *Forge: Alioth
 	<p>
 Alioth is a fairly new Debian service, based on a slightly modified version
 of the GForge software (which evolved from SourceForge). This software
@@ -2863,22 +2870,14 @@
             <heading><package>buildd</package></heading>
             <p>
 The <package>buildd</package> system is used as a distributed,
-client-server build distribution system.  It is usually used in
+client-server build distribution system, which is described in 
+more detail at <url id="&url-buildd-doc;">.  It is usually used in
 conjunction with <em>auto-builders</em>, which are ``slave'' hosts
 which simply check out and attempt to auto-build packages which need
 to be ported.  There is also an email interface to the system, which
 allows porters to ``check out'' a source package (usually one which
 cannot yet be auto-built) and work on it.
 	  <p>
-<package>buildd</package> is not yet available as a package; however,
-most porting efforts are either using it currently or planning to use
-it in the near future.  The actual automated builder is packaged as
-<package>sbuild</package>, see its description in <ref id="sbuild">.
-The complete <package>buildd</package> system also collects a number of as yet unpackaged
-components which are currently very useful and in use continually,
-such as <prgn>andrea</prgn> and
-<prgn>wanna-build</prgn>.
-	  <p>
 Some of the data produced by <package>buildd</package> which is
 generally useful to porters is available on the web at <url
 id="&url-buildd;">.  This data includes nightly updated information
@@ -2894,8 +2893,17 @@
           <p>
 The buildds admins of each arch can be contacted by the mail address
 $arch@buildd.debian.org.
-
-       <sect1 id="packages-arch-specific">When your package is <em>not</em> portable
+		  <p>
+<package>buildd</package> is not yet available as a package; however,
+most porting efforts are either using it currently or planning to use
+it in the near future.  The actual automated builder is packaged as
+<package>sbuild</package>, see its description in <ref id="sbuild">.
+The complete <package>buildd</package> system also collects a number of as yet unpackaged
+components which are currently very useful and in use continually,
+such as <prgn>andrea</prgn> and
+<prgn>wanna-build</prgn>.
+       <sect1 id="packages-arch-specific">When your package is <em>not</em> 
+       portable or does <em>not</em> build
        <p>
 Some packages still have issues with building and/or working on some
 of the architectures supported by Debian, and cannot be ported at all,
@@ -2941,7 +2949,34 @@
 If in the past some binary packages were uploaded on unsupported architectures,
 request their removal by filing a bug against
 <package>ftp.debian.org</package>
-
+	<p>
+A quick list of what to do if a package doesn't build on a buildd:
+	<list>
+	<item>
+	<p>
+Read the buildd logs, if they are available at <url id="&url-buildd;"> 
+(if there was no build attempt yet, there won't be any logs)
+	<p>
+	<item>
+Wait a few days for the build attempt
+	<p>
+	<item>
+Check the build statistics at <url id="http://buildd.debian.org/stats/">; to see
+if a port is falling behind 
+	<p>
+	<item>
+Check if missing build depends are going to be built later
+	<p>
+	<item>
+Check if missing build depends are failing to build
+	<p>
+	<item>
+Ask in the appropriate port mailing list for help/information
+	<p>
+	<item>
+Try to build the package yourself on the arch which is problematic for your package, 
+see <url id="&url-devel-machines;"> for a list of developer accessable machines
+	</list>
 
     <sect id="nmu">Non-Maintainer Uploads (NMUs)
       <p>
